#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC1,0x3B,0x79,0x63,0x70,0xBA,0x77,0x7E,0x7F,0xFD,0xE6,0x97,
		0x17,0xBC,0xD4,0x1D,0x6A,0xF7,0xF6,0x5C,0xFA,0x60,0x89,0xD2,
		0x98,0x41,0xAF,0x5C,0x58,0x9B,0x82,0x45,0x09,0xEE,0x0F,0x1C,
		0x02,0x64,0x34,0x9F,0xA2,0x97,0x1D,0x7F,0x4A,0x84,0xC1,0x81,
		0x62,0xC6,0xD2,0x30,0x17,0x7F,0xDC,0x6B,0x69,0xFF,0x4F,0x02,
		0x23,0x63,0x61,0xCF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
